#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: hOpenPGP
version: 2.7.2
id: hOpenPGP-2.7.2-2T5Y9Zg0WQ48fMJLxyfzUy
key: hOpenPGP-2.7.2-2T5Y9Zg0WQ48fMJLxyfzUy
license: MIT
copyright: 2012-2018  Clint Adams
maintainer: Clint Adams <clint@debian.org>
author: Clint Adams
homepage: https://salsa.debian.org/clint/hOpenPGP
synopsis: native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)
category: Codec, Data
abi: bd7e2a973c3c57a7469ffd49d5038b37
exposed: True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify
hidden-modules: Codec.Encryption.OpenPGP.Internal
                Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
                Codec.Encryption.OpenPGP.Internal.Cryptonite
                Codec.Encryption.OpenPGP.Internal.HOBlockCipher
                Codec.Encryption.OpenPGP.SerializeForSigs
                Codec.Encryption.OpenPGP.Types.Internal.Base
                Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
                Codec.Encryption.OpenPGP.Types.Internal.PacketClass
                Codec.Encryption.OpenPGP.Types.Internal.PKITypes
                Codec.Encryption.OpenPGP.Types.Internal.Pkt
                Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
                Codec.Encryption.OpenPGP.Types.Internal.TK
                Codec.Encryption.OpenPGP.BlockCipher
import-dirs: /usr/lib/ghc-8.4.3/site-local/hOpenPGP-2.7.2
library-dirs: /usr/lib/ghc-8.4.3/site-local/hOpenPGP-2.7.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/hOpenPGP-2.7.2
hs-libraries: HShOpenPGP-2.7.2-2T5Y9Zg0WQ48fMJLxyfzUy
depends:
    aeson-1.4.0.0-LGp6kTtgO3W1vagljwPVLq
    asn1-encoding-0.9.5-FItcRx3pUBjGPjH6iTggj2
    attoparsec-0.13.2.2-66ub406fEYL5HI27KdshEC base-4.11.1.0
    base16-bytestring-0.1.1.6-I0igvRcEwRNBMqqPC2yQBh
    base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37
    bifunctors-5.5.3-AlrDyt83oTwGFLOR6vEh89 bytestring-0.10.8.2
    bzlib-0.5.0.5-I5HFtx2qcsm7rM1vX9uO9x binary-0.8.5.1
    binary-conduit-1.3-1dwvV2VNnswLe4oPiN3DxD
    conduit-1.3.0.3-1LXmWNgyJ2B1Qr0WhDZTRn
    conduit-extra-1.3.0-62ZyK1Khm0lGXTPqNauh3u containers-0.5.11.0
    cryptonite-0.25-Ka20h0HuI7x3L9WMrwHuzr
    crypto-cipher-types-0.0.9-CWRnyUrf3Y13otvenAhiW3
    errors-2.3.0-7XokTRxahiTK2qof9Qeerd
    hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg
    incremental-parser-0.3.1.1-1oRhIU0wEVk1R7F7jymuFy
    ixset-typed-0.4-AfNjqOyQ9VT51FCkJ3RaLE
    lens-4.17-Jl3rxJOpxBgAImtpk31J8b
    memory-0.14.16-FrHKJ6EcQ5I95PPEhrgDqk
    monad-loops-0.4.3-2NGNwTmuzQ8HUga17olMGs
    nettle-0.3.0-4GnDkAdx08K7qW1GPYRVnz
    newtype-0.2-ITmrBJ3PFy1E3eiFCi9Xkw
    openpgp-asciiarmor-0.1.1-IBJVxKJmZAM5FtnkLqIr4H
    prettyprinter-1.2.1-ulgoMvWrcM6vc8QJk50U6
    resourcet-1.2.1-LctEqL4FQggH5oPTFQRvcN
    split-0.2.3.3-DYHuRk05Zl3FsXrGVgC4fG text-1.2.3.0 time-1.8.0.2
    time-locale-compat-0.1.1.5-DDznVvFVEsmlk0WqJppPg
    transformers-0.5.5.0 unliftio-core-0.1.2.0-900TPot3SR34dceIcVaslS
    unordered-containers-0.2.9.0-FkHC8tkjGhFEq6gcD4EsVo
    zlib-0.6.2-HJOgVWrPGFTFgWXcvoaUGH
    network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9
abi-depends: aeson-1.4.0.0-LGp6kTtgO3W1vagljwPVLq=0bddb8c122a0181e324f08c1b045cf5c
             asn1-encoding-0.9.5-FItcRx3pUBjGPjH6iTggj2=253e2383c4caa6cd020581c221ad28c2
             attoparsec-0.13.2.2-66ub406fEYL5HI27KdshEC=c6a831664a8826b2c70f720ac226f7d1
             base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             base16-bytestring-0.1.1.6-I0igvRcEwRNBMqqPC2yQBh=0cc0842c69ffec2c0f1c4a27d1f518e1
             base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37=6373b2ec1ae2585bcca6cddbee5d3e75
             bifunctors-5.5.3-AlrDyt83oTwGFLOR6vEh89=6cf846ed2d3e45140ce139d7631be4a8
             bytestring-0.10.8.2=76943c00398d547fb172e56c2f93c635
             bzlib-0.5.0.5-I5HFtx2qcsm7rM1vX9uO9x=856b74462f46f0b4736f48f7d1b5cd01
             binary-0.8.5.1=758db3c95031800de821949083b71c7f
             binary-conduit-1.3-1dwvV2VNnswLe4oPiN3DxD=7d456c2a1e65d783125793568e746a9f
             conduit-1.3.0.3-1LXmWNgyJ2B1Qr0WhDZTRn=9f35b5ff09f97cfdf18ed878b4f05010
             conduit-extra-1.3.0-62ZyK1Khm0lGXTPqNauh3u=1f10546f0186035da31a1037d0dccfc1
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
             cryptonite-0.25-Ka20h0HuI7x3L9WMrwHuzr=049bf293d9c1bef7bdb45e8c7d818d0c
             crypto-cipher-types-0.0.9-CWRnyUrf3Y13otvenAhiW3=cb87066ae33bf9a24024a1848d60cb54
             errors-2.3.0-7XokTRxahiTK2qof9Qeerd=abf54e5b0bff8ed0dbc1ecfc0b067f5e
             hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg=ad8d36b5596969152937469512f0d3b1
             incremental-parser-0.3.1.1-1oRhIU0wEVk1R7F7jymuFy=29dc786b59f2ba397b89de3e9cbe6672
             ixset-typed-0.4-AfNjqOyQ9VT51FCkJ3RaLE=50de760fcf346a62024dd2af80273de4
             lens-4.17-Jl3rxJOpxBgAImtpk31J8b=ffcabe526701fd7464c499736e21ef25
             memory-0.14.16-FrHKJ6EcQ5I95PPEhrgDqk=23a2e2ee61129c4073d4aeb70df9c169
             monad-loops-0.4.3-2NGNwTmuzQ8HUga17olMGs=8f6673eb67ce392bdddb2c5970e7d454
             nettle-0.3.0-4GnDkAdx08K7qW1GPYRVnz=a35fd82ab567b3dd17e6e1cceedf5d93
             newtype-0.2-ITmrBJ3PFy1E3eiFCi9Xkw=2753ad7f09bb3742017169e64f653c7d
             openpgp-asciiarmor-0.1.1-IBJVxKJmZAM5FtnkLqIr4H=a561229cc367eeb14a9fbed2a13d92fb
             prettyprinter-1.2.1-ulgoMvWrcM6vc8QJk50U6=ea0daa596e4092633de9dd0538455b6d
             resourcet-1.2.1-LctEqL4FQggH5oPTFQRvcN=5291d0bc2bb1ab278a399398d2d041e1
             split-0.2.3.3-DYHuRk05Zl3FsXrGVgC4fG=ea4c73c7e93df299ddc7c8e477e863d6
             text-1.2.3.0=be4c3e1c57cff1d501eb0e876706a48d
             time-1.8.0.2=976962cc6498b843f1efb5bef740838e
             time-locale-compat-0.1.1.5-DDznVvFVEsmlk0WqJppPg=0dc91a1ae9a857b8c5071d88d21ad3c6
             transformers-0.5.5.0=633c3e5ec737c360775b452ce9aa1e0b
             unliftio-core-0.1.2.0-900TPot3SR34dceIcVaslS=f455d126eaad42d9d326e7b0a54e0e51
             unordered-containers-0.2.9.0-FkHC8tkjGhFEq6gcD4EsVo=64a561e4e9a96e6da50de53181f89cb1
             zlib-0.6.2-HJOgVWrPGFTFgWXcvoaUGH=ef1ac153a45a86b7156d838914c2c4aa
             network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9=1c5b19d707f7ce4714ffa81cd536dbf4
haddock-interfaces: /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html: /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

